package com.liquidnet.service.adam.service;

import com.liquidnet.service.adam.dto.AdamComShareholderParam;
import com.liquidnet.service.adam.entity.AdamComShareholder;

import java.util.List;

/**
 * <p>
 * 公司股东信息 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2020-09-16
 */
public interface IAdamComShareholderService {

    /**
     * List查询
     *
     * @param comId 公司id
     */
    List<AdamComShareholder> selectByComId(String comId);

    AdamComShareholder selectOne(String comId, String position);

    int insert(AdamComShareholderParam param);

    int updateByComId(AdamComShareholderParam param);

}
